%define upstream_name	 Convert-Binary-C
%define upstream_version 0.85

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Convert::Binary::C is a preprocessor and parser for C type definitions. 
It is highly configurable and supports arbitrarily complex data structures. 
Its object-oriented interface has pack and unpack methods that act as 
replacements for Perl's pack and unpack and allow to use C types instead 
of a string representation of the data structure for conversion of binary 
data from and to Perl's complex data structures.

Actually, what Convert::Binary::C does is not very different from what a 
C compiler does, just that it doesn't compile the source code into an object 
file or executable, but only parses the code and allows Perl to use the 
enumerations, structs, unions and typedefs that have been defined within 
your C source for binary data conversion, similar to Perl's pack and unpack.

Beyond that, the module offers a lot of convenience methods to retrieve 
information about the C types that have been parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%{_bindir}/*
%doc Changes META.json META.yml MYMETA.yml TODO examples
%{perl_vendorarch}/
%{_mandir}/*/*

%changelog
* Sat Oct 05 2024 tv <tv> 0.850.0-1.mga10
+ Revision: 2103425
- update to 0.85

* Thu Aug 22 2024 neoclust <neoclust> 0.840.0-6.mga10
+ Revision: 2088011
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.840.0-5.mga10
+ Revision: 2010937
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.840.0-4.mga9
+ Revision: 1861617
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.840.0-3.mga9
+ Revision: 1795567
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.840.0-2.mga9
+ Revision: 1726457
- Rebuild for perl 5.34

* Tue Nov 24 2020 tv <tv> 0.840.0-1.mga8
+ Revision: 1648888
- update to 0.84

* Fri Nov 20 2020 tv <tv> 0.830.0-1.mga8
+ Revision: 1647846
- update to 0.83

* Thu Nov 19 2020 tv <tv> 0.810.0-1.mga8
+ Revision: 1647483
- update to 0.81

* Wed Nov 18 2020 tv <tv> 0.800.0-1.mga8
+ Revision: 1646975
- update to 0.80

* Wed Jun 17 2020 umeabot <umeabot> 0.790.0-2.mga8
+ Revision: 1594360
- Rebuild for perl 5.32

* Wed May 20 2020 tv <tv> 0.790.0-1.mga8
+ Revision: 1586299
- update to 0.79

* Sat Feb 15 2020 umeabot <umeabot> 0.780.0-9.mga8
+ Revision: 1528998
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.780.0-8.mga8
+ Revision: 1432811
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.780.0-7.mga7
+ Revision: 1292537
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.780.0-6.mga7
+ Revision: 1249317
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.780.0-5.mga7
+ Revision: 1163539
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.780.0-4.mga7
+ Revision: 1148694
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.780.0-3.mga7
+ Revision: 1127483
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.780.0-2.mga6
+ Revision: 1024349
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.780.0-1.mga6
+ Revision: 1001748
- update to 0.78

* Fri Feb 12 2016 umeabot <umeabot> 0.770.0-2.mga6
+ Revision: 956908
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.770.0-1.mga6
+ Revision: 856542
- update to 0.77

* Fri Jun 26 2015 sander85 <sander85> 0.760.0-11.mga6
+ Revision: 843991
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.760.0-10.mga5
+ Revision: 789116
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.760.0-9.mga5
+ Revision: 741888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.760.0-8.mga5
+ Revision: 684014
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.760.0-7.mga5
+ Revision: 630933
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.760.0-6.mga4
+ Revision: 524231
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.760.0-5.mga4
+ Revision: 430596
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-4.mga3
+ Revision: 364775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.760.0-3.mga3
+ Revision: 250372
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.760.0-2.mga2
+ Revision: 103751
- perl 5.14

* Tue Apr 12 2011 kharec <kharec> 0.760.0-1.mga1
+ Revision: 83536
- update to new version 0.76

* Fri Jan 21 2011 jquelin <jquelin> 0.740.0-2.mga1
+ Revision: 29960
- mageia rebuild
- imported package perl-Convert-Binary-C

